Security Enhanced Linux Reference Policy

# Layer: services

## Module: plymouthd

Interfaces

### Description:

Plymouth graphical boot.

### Interfaces:

plymouthd_admin( domain , role )

##### Summary

All of the rules required to administrate an plymouthd environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

plymouthd_delete_runtime_files( domain )

##### Summary

Delete the plymouthd runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_domtrans( domain )

##### Summary

Execute a domain transition to run plymouthd.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

plymouthd_domtrans_plymouth( domain )

##### Summary

Execute a domain transition to run plymouth.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

plymouthd_exec( domain )

##### Summary

Execute plymouthd in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_exec_plymouth( domain )

##### Summary

Execute plymouth in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_manage_lib_files( domain )

##### Summary

Create, read, write, and delete plymouthd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_manage_spool_files( domain )

##### Summary

Create, read, write, and delete plymouthd spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_read_lib_files( domain )

##### Summary

Read plymouthd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_read_runtime_files( domain )

##### Summary

Read plymouthd runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_read_spool_files( domain )

##### Summary

Read plymouthd spool files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_rw_lib_files( domain )

##### Summary

Read and write plymouthd lib files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_search_lib( domain )

##### Summary

Search plymouthd lib directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_search_spool( domain )

##### Summary

Search plymouthd spool directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

plymouthd_stream_connect( domain )

##### Summary

Connect to plymouthd using a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return